LO Base Reports won't open: due to “Could not create Java implementation loader” dialog

asked 2019-06-24 21:38:40 +0200

BrianB67 gravatar image

My platform is 64 bit Windows 10 running LO Version 6.2.4.2 (x64) with Java 32-bit . The CPU is x64. So upon starting LO I checked Java status. [Tools][Options][Advanced] indicates that Base recognizes Java, and the box for “Use a Java runtime environment” is checked. Then opening an existing database, selecting [Reports] and right clicking [Open] a dialog appears: "LibreOffice requires a 64-bit Java runtime environment (JRE) to perform this task. Please install a JRE and restart LibreOffice." Clicking [OK] reveals another Dialog box. "The document [report name] could not be opened. Could not create Java implementation loader." The 1st message, i.e. “LibreOffice requires a 64-bit Java …….” does not appear upon subsequent attempts to open the report. But the 2nd message regarding the Java implementation loader continues to appear every time. I also tried 64 bit Java but LO wouldn’t recognize it. I've been able to create Forms, Queries and Reports with no Java related problems. This problem occurs only when trying to open a report. Any suggestions would be much appreciated.

edit retag flag offensive close merge delete

Comments

Look on this page, if it can help you.

ebot gravatar imageebot ( 2019-06-24 21:59:16 +0200 )edit

Hello,

64-bit LO must have 64-bit JRE installed for Report Builder to work (and other items). Please see -> https://wiki.documentfoundation.org/F...

Ratslinger gravatar imageRatslinger ( 2019-06-24 21:59:57 +0200 )edit

Thanks so much! I appreciate the quick response. 64 bit Java solved the problem.

BrianB67 gravatar imageBrianB67 ( 2019-06-24 22:15:13 +0200 )edit